Skip to content

Create Virtual Account

| View as Markdown

A Virtual Account is a digital payment method through an account that is created virtually for each customer. To make payments, customers will be referred to their own Virtual Accounts. This API will create/assign virtual account for user provided if we pass merchant id, buyer_phone and buyer_email then it returns assigned virtual account number along with other bank details.

https://kraken.airpay.co.in/airpay/va/api/
FieldTypeDescription
Content-TypeStringapplication/x-www-form-urlencoded
FieldTypeRequiredDescription
actionStringYesAction to perform - create
private_keyAlphanumericYesPrivate Key (length 10-200)
private_key = hash('sha256', secret.'@'.username.':|:'.password)
merchant_idNumericYesMerchant ID
buyer_phoneNumericSpaceHyphen
buyer_emailEmailYesEmail ID of user
UIDAlphanumericYesUnique user identifier from the merchant
checksumAlphanumericYesHash generated by : sha1(buyer_email.buyer_phone.UID.action.merchant_id.private_key)
mer_domAlphanumericNoMerchant Domain in BASE_64 (length 1-50)
curl --location --request POST 'https://kraken.airpay.co.in/airpay/va/api/' \
--form 'action=create' \
--form 'private_key=71a4efaf21c79864ec154babfc494f45fd1f65a570805084965d5b29486f1dfe' \
--form 'merchant_id=1' \
--form 'buyer_phone=7208246368' \
--form 'buyer_email=consultant.prathamesh@airpay.co.in' \
--form 'checksum=a1d4d016a23a4c7bff1fe0c965bc1f987de37ac2' \
--form 'UID=1235' \
--form 'mer_dom =aHR0cCUzQSUdyRiUyRmtovY2FsaG9zdA=='
FieldTypeDescription
STATUSNumberStatus Code Success - 200
Failed - 400
MESSAGEStringStatus Message
Success - 200 Transaction is success
Transaction in Process - 211 Transaction in processing
Failed - 400 Transaction in failed
Dropped - 401 The transaction will not register properly
Cancel - 402 payment that has not yet been processed
Incomplete - 403 Not recieved any call back from bank
Bounced - 405 The transaction has bounced
No Records - 503 There is no records found
VIRTUALACCNOStringVirtual Account No
BENEFICIARYNAMEStringBeneficiary Name
IFSCStringIFSC Code
BANKStringBank Name
BRANCHStringBranch Name
BANKADDRESSStringBank Address
HTTP/1.1 200 OK
{
{
"STATUS": "200",
"MESSAGE": "Success",
"VIRTUALACCNO": "22936640000000010242"
"BENEFICIARYNAME": "AIRPAY PAYMENT SERVICES PRIVATE LIMITED"
"IFSC": "ICIC0000103"
"BANK": "ICICI BANK"
"BRANCH": "MUMBAI"
"BANKADDRESS": "ICICI Bank Ltd, 163, H.T. Parekh Marg, Backbay Reclamation, Churchgate,Mumbai 400 028"
}
}
HTTP/1.1 200 OK
{
{
"STATUS": "400",
"MESSAGE": "Failed"
}
}